@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.webgl {
    position: fixed;
    top: 0;
    left: 0;
    outline: none;
    z-index: -1;
}

svg {
    width: 30px;
}

.container  {
    font-family: "Roboto", sans-serif;
    padding: 1.5rem;
    /* background-color: ; */
}

.container > div {
    margin: 0 auto 1.5rem auto;
    border-radius: 25px;
    padding: 1.2rem;
    min-height: 430px;
    min-width: 350px;
}

.section {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    outline: 10px solid white;

    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently ported by Chrome, Edge, Opera and Firefox */
}

.section-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 25px;
}

.side-section .section-header,
.corner-section1 .section-header,
.corner-section2 .section-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.section-header span {
    font-size: 14px;
    font-weight: bold;
}

.section > h1,
.section-header > h1 {
    font-size: 45px;
    font-weight: 500;
}

.section-header h1 {
    margin-top: .5rem;
}

h1.web {
    display: none;
}

.section-header .section-rotate {
    transform: rotate(-40deg);
}

.section-button {
    position: relative;
    width: 210px;
    height: 65px;
    overflow: hidden;
}

.section-button__inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(245, 245, 245);
    border-radius: 12px;
    cursor: pointer;
    color: black;
}

.button-text {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-right: 1px solid rgba(0, 0, 0, 0.151);
    flex: 1.5;
    padding: .75rem 1rem;
}

.button-text span {
    font-size: 9px;
    letter-spacing: .05rem;
}

.button-text p {
    font-weight: bold;
}

.button-svg {
    flex: 1;
    text-align: center;
}

.main-section {
    color: rgb(245, 245, 245);
}

@media screen and (min-width: 1100px) {
    .container {
        display: grid;
        height: 100vh;
        gap: 1rem;
        grid-template-areas: 
            "main side side"
            "main corner1 corner2";
        grid-template-columns: 2fr 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        padding: 1rem;
    }

    .container > div {
        width: 100%;
        margin: 0;
        min-height: 300px;
    }

    .section > h1,
    .section-header > h1 {
        font-size: 50px;
    }

    h1.mobile {
        display: none;
    }

    h1.web {
        display: block;
        font-size: 70px;
    }

    .main-section {
        grid-area: main;
    }

    .side-section {
        grid-area: side;
    }

    .corner-section1 {
        grid-area: corner1;
    }

    .corner-section2 {
        grid-area: corner2;
    }
}